import request from '@/utils/request'
// import { getToken } from '@/utils/auth'

export function getList(params) {
  return request({
    url: '/table/list',
    method: 'get',
    params
  })
}
// 获取参会人员
export function joinUser(uid, pageNo, pageSize) {
  return request({
    url: `/wx/joinUser`,
    method: 'get',
    params: {
      uid,
      pageNo,
      pageSize,
      taskId: ''
    }
  })
}
// 获取参会文件
export function taskFile(taskId) {
  return request({
    url: `/wx/taskFile`,
    method: 'get',
    params: {
      taskId
    }
  })
}
// 添加观看记录
export function addViewLog(taskId) {
  return request({
    url: `/wx/viewLog`,
    method: 'post',
    data: {
      taskId
    }
  })
}
// 观看记录列表
export function getViewLogList(pageNo, pageSize) {
  return request({
    url: `/wx/viewLog`,
    method: 'get',
    params: {
      pageNo,
      pageSize
    }
  })
}
// 批量删除
export function deleteList(joinUser) {
  return request({
    url: `wx/joinUser/delete`,
    method: 'put',
    data: joinUser
  })
}
// 输入授权码获取会议资料
export function codeFile(code) {
  return request({
    url: `wx/task/findByCode`,
    method: 'get',
    params: {
      code
    }
  })
}
// 获取任务列表
export function taskList(uid, pageNo, pageSize) {
  return request({
    url: `wx/task`,
    method: 'get',
    params: {
      uid,
      pageNo,
      pageSize
    }
  })
}
/* 改版 */
// 获取授权码订阅
export function getSubscribe(data) {
  return request({
    url: `/user/subscribe`,
    method: 'post',
    data
  })
}
// 获取订阅列表
export function getSubscribeList(uid) {
  return request({
    url: `user/subscribeList`,
    method: 'get',
    params: {
      uid
    }
  })
}
// 获取用户文件T
// 获取订阅列表
export function getTaskFileList(uid) {
  return request({
    url: `wx/task/taskFile`,
    method: 'get',
    params: {
      uid
    }
  })
}
